/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.frontend.taglib.clay.internal.servlet.taglib.display.context;

import com.liferay.frontend.taglib.clay.servlet.taglib.util.CreationMenu;
import com.liferay.portal.kernel.dao.search.DisplayTerms;
import com.liferay.portal.kernel.util.Validator;

/**
 * @author Drew Brokke
 */
public class ManagementToolbarDefaults {

	public static String getContentRenderer() {
		return "hiddenInputsForm";
	}

	public static String getSearchFormMethod() {
		return "GET";
	}

	public static String getSearchInputName() {
		return DisplayTerms.KEYWORDS;
	}

	public static Boolean isShowCreationMenu(CreationMenu creationMenu) {
		if (creationMenu != null) {
			return true;
		}

		return false;
	}

	public static Boolean isShowInfoButton(String infoPanelId) {
		return Validator.isNotNull(infoPanelId);
	}

}