/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.frontend.taglib.clay.servlet.taglib.soy;

import com.liferay.frontend.taglib.clay.servlet.taglib.soy.base.BaseClayTag;

/**
 * @author Chema Balsas
 */
public class ProgressBarTag extends BaseClayTag {

	@Override
	public int doStartTag() {
		setComponentBaseName("ClayProgressBar");
		setHydrate(true);
		setModuleBaseName("progress-bar");

		return super.doStartTag();
	}

	public void setMaxValue(int maxValue) {
		putValue("maxValue", maxValue);
	}

	public void setMinValue(int minValue) {
		putValue("minValue", minValue);
	}

	public void setStatus(String status) {
		putValue("status", status);
	}

	public void setValue(int value) {
		putValue("value", value);
	}

}