/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.frontend.taglib.clay.servlet.taglib.soy;

import com.liferay.frontend.taglib.clay.servlet.taglib.soy.base.BaseClayTag;
import com.liferay.frontend.taglib.clay.servlet.taglib.util.SelectOption;

import java.util.List;

/**
 * @author Chema Balsas
 */
public class SelectTag extends BaseClayTag {

	@Override
	public int doStartTag() {
		setComponentBaseName("ClaySelect");
		setModuleBaseName("select");

		return super.doStartTag();
	}

	public void setDisabled(Boolean disabled) {
		putValue("disabled", disabled);
	}

	public void setLabel(String label) {
		putValue("label", label);
	}

	public void setMultiple(Boolean multiple) {
		putValue("multiple", multiple);
	}

	public void setName(String name) {
		putValue("name", name);
	}

	public void setOptions(List<SelectOption> selectOptions) {
		putValue("options", selectOptions);
	}

	public void setWrapperType(String wrapperType) {
		putValue("wrapperType", wrapperType);
	}

}