/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.frontend.taglib.clay.servlet.taglib.soy;

import com.liferay.frontend.taglib.clay.servlet.taglib.soy.base.BaseClayTag;

/**
 * @author Carlos Lancha
 */
public class StickerTag extends BaseClayTag {

	@Override
	public int doStartTag() {
		setComponentBaseName("ClaySticker");
		setModuleBaseName("sticker");

		return super.doStartTag();
	}

	public void setIcon(String icon) {
		putValue("icon", icon);
	}

	public void setLabel(String label) {
		putValue("label", label);
	}

	public void setOutside(Boolean outside) {
		putValue("outside", outside);
	}

	public void setPosition(String position) {
		putValue("position", position);
	}

	public void setShape(String shape) {
		putValue("shape", shape);
	}

	public void setSize(String size) {
		putValue("size", size);
	}

	public void setStyle(String style) {
		putValue("style", style);
	}

}