/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.frontend.taglib.clay.servlet.taglib.soy;

/**
 * @author Chema Balsas
 */
public class StripeTag extends AlertTag {

	@Override
	public int doStartTag() {
		setComponentBaseName("ClayStripe");
		setHydrate(true);
		setModuleBaseName("alert");

		return super.doStartTag();
	}

	public void setAutoclose(Boolean autoClose) {
		putValue("autoClose", autoClose);
	}

	public void setCloseable(Boolean closeable) {
		putValue("closeable", closeable);
	}

	public void setDestroyOnHide(Boolean destroyOnHide) {
		putValue("destroyOnHide", destroyOnHide);
	}

	public void setMessage(String message) {
		putValue("message", message);
	}

	public void setStyle(String style) {
		putValue("style", style);
	}

	public void setTitle(String title) {
		putValue("title", title);
	}

	public void setType(String type) {
		putValue("type", type);
	}

}