/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.frontend.taglib.clay.servlet.taglib.util;

import java.util.ArrayList;
import java.util.function.Consumer;

/**
 * @author Brian Wing Shun Chan
 */
public class DropdownItemList extends ArrayList<DropdownItem> {

	public void add(Consumer<DropdownItem> consumer) {
		DropdownItem dropdownItem = new DropdownItem();

		consumer.accept(dropdownItem);

		add(dropdownItem);
	}

	public void addCheckbox(Consumer<DropdownCheckboxItem> consumer) {
		DropdownCheckboxItem dropdownCheckboxItem = new DropdownCheckboxItem();

		consumer.accept(dropdownCheckboxItem);

		add(dropdownCheckboxItem);
	}

	public void addGroup(Consumer<DropdownGroupItem> consumer) {
		DropdownGroupItem dropdownGroupItem = new DropdownGroupItem();

		consumer.accept(dropdownGroupItem);

		add(dropdownGroupItem);
	}

	public void addRadio(Consumer<DropdownRadioItem> consumer) {
		DropdownRadioItem dropdownRadioItem = new DropdownRadioItem();

		consumer.accept(dropdownRadioItem);

		add(dropdownRadioItem);
	}

	public void addRadioGroup(Consumer<DropdownRadioGroupItem> consumer) {
		DropdownRadioGroupItem dropdownRadioGroupItem =
			new DropdownRadioGroupItem();

		consumer.accept(dropdownRadioGroupItem);

		add(dropdownRadioGroupItem);
	}

}