/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.frontend.taglib.clay.servlet.taglib.util;

/**
 * @author Adolfo Pérez
 */
public class SelectOption {

	public SelectOption(String label, String value) {
		this(label, value, false);
	}

	public SelectOption(String label, String value, boolean selected) {
		_label = label;
		_value = value;
		_selected = selected;
	}

	public String getLabel() {
		return _label;
	}

	public String getValue() {
		return _value;
	}

	public boolean isSelected() {
		return _selected;
	}

	private final String _label;
	private final boolean _selected;
	private final String _value;

}